commit:     299ad267daa7b0d17f156a20624589afc0910258
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Tue Nov 27 12:20:52 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Tue Nov 27 12:32:07 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=299ad267

sys-block/parted: Version 3.2_p23

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 sys-block/parted/Manifest              |  1 +
 sys-block/parted/parted-3.2_p23.ebuild | 69 ++++++++++++++++++++++++++++++++++
 2 files changed, 70 insertions(+)

diff --git a/sys-block/parted/Manifest b/sys-block/parted/Manifest
index fbf95dc359e..ad2a63ed4bc 100644
--- a/sys-block/parted/Manifest
+++ b/sys-block/parted/Manifest
@@ -1,3 +1,4 @@
 DIST parted-3.2.tar.xz 1655244 BLAKE2B 
56608590b26a9b5266dacf3698d990b730bdb35d9374d1da57103fbef3ef5037e40dd2fe0f523ca8e0e75401a3b25cf543e5ca5c94cf410bbaa62ea15d6f0ba3
 SHA512 
4e37dbdd6f5032c9ebfec43704f6882379597d038167b9c4d04053efa083c68a705196713864451fa9e11d32777e16c68982877945c5efd9ea5f8252cb20e1c4
 DIST parted_3.2-19.debian.tar.xz 87288 BLAKE2B 
f0cef2978ead9edca3e952849deb36526eea0a050d45ab480b2aa62d02ba0a1750c28e93c28a714df6629f02ccf5a1e4fbb33a6e42b82bf6685c05aeaad1756c
 SHA512 
de3e55545d7d94668eb608c8c31440f550baaf7b664836d199f73f7a8c75bba4ff59b4c06a23459c7d522250d7c03d29fa7f727f7d1a2b1e5a0366e83a2d871a
 DIST parted_3.2-20.debian.tar.xz 87496 BLAKE2B 
4409826b35b42093f16f80b1ab2f41b4caf2264c9dcfe9572fa1ddf5f51eeffa2208fc187bd7a98290ee2df92604928eae84fd2fdee78d688ec19e81f8b9efac
 SHA512 
83f14befdd7d048976572b3e2eebfaa42649458cbcfd659db704737dce991980ddb2bc65013c5b31b04a17fc17fb756da0dda76edbcba93708afca34c56e0d22
+DIST parted_3.2-23.debian.tar.xz 88152 BLAKE2B 
5e69a5799cc909bf54d1dcd1c7a8f7fe5dd7ce46b03957406f4a6118480d5acca3a165cc16b720fd03a89339fcfb46844d470079c4e10a4683e270c9e804c245
 SHA512 
7f449a24d1ea75a185b5fd589fea73a2f0944f1276288ece2790c5889de6adf8354f94388046a25b2dbf5735759f6010397f140607320a4de348cf77f8c75b09

diff --git a/sys-block/parted/parted-3.2_p23.ebuild 
b/sys-block/parted/parted-3.2_p23.ebuild
new file mode 100644
index 00000000000..b4a1e19a9f3
--- /dev/null
+++ b/sys-block/parted/parted-3.2_p23.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools flag-o-matic
+
+DESCRIPTION="Create, destroy, resize, check, copy partitions and file systems"
+HOMEPAGE="https://www.gnu.org/software/parted";
+SRC_URI="
+       mirror://gnu/${PN}/${P/_p*/}.tar.xz
+       mirror://debian/pool/main/p/${PN}/${PN}_${PV/_p/-}.debian.tar.xz
+"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh 
~sparc ~x86"
+IUSE="+debug device-mapper nls readline selinux static-libs"
+RESTRICT="test"
+
+# specific version for gettext needed
+# to fix bug 85999
+RDEPEND="
+       >=sys-fs/e2fsprogs-1.27
+       device-mapper? ( >=sys-fs/lvm2-2.02.45 )
+       readline? ( >=sys-libs/readline-5.2:0= >=sys-libs/ncurses-5.7-r7:0= )
+       selinux? ( sys-libs/libselinux )
+       elibc_uclibc? ( dev-libs/libiconv )
+"
+DEPEND="
+       ${RDEPEND}
+       nls? ( >=sys-devel/gettext-0.12.1-r2 )
+       virtual/pkgconfig
+"
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.2-devmapper.patch
+       "${FILESDIR}"/${PN}-3.2-po4a-mandir.patch
+)
+S=${WORKDIR}/${P/_p*/}
+
+src_prepare() {
+       default
+       sed -i -e '/atari\.patch/d' "${WORKDIR}"/debian/patches/series || die
+       for patch in $(< "${WORKDIR}"/debian/patches/series); do
+               eapply "${WORKDIR}/debian/patches/$patch"
+       done
+
+       eautoreconf
+}
+
+src_configure() {
+       use elibc_uclibc && append-libs -liconv
+       econf \
+               $(use_enable debug) \
+               $(use_enable device-mapper) \
+               $(use_enable nls) \
+               $(use_enable selinux) \
+               $(use_enable static-libs static) \
+               $(use_with readline) \
+               --disable-rpath \
+               --disable-silent-rules
+}
+
+DOCS=( AUTHORS BUGS ChangeLog NEWS README THANKS TODO doc/{API,FAT,USER.jp} )
+
+src_install() {
+       default
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to